'use client'

import React, { useState, useEffect } from 'react'
import { Bell, X } from 'lucide-react'

const notices = [
  "Free shipping on orders over $50!",
  "New summer collection available now!",
  "Limited time offer: 20% off all accessories!",
  "Join our loyalty program and earn points on every purchase!",
]

export default function AboveHeaderTicker() {
  const [isVisible, setIsVisible] = useState(true)
  const [currentNoticeIndex, setCurrentNoticeIndex] = useState(0)

  useEffect(() => {
    const interval = setInterval(() => {
      setCurrentNoticeIndex((prevIndex) => (prevIndex + 1) % notices.length)
    }, 5000)

    return () => clearInterval(interval)
  }, [])

  if (!isVisible) return null

  return (
    <div className="aht-container bg-gradient-to-r from-purple-600 to-indigo-600 text-white">
      <div className="aht-wrapper max-w-7xl mx-auto relative">
        <div className="aht-content py-2 px-4 text-sm flex items-center justify-center">
          <Bell className="aht-icon w-4 h-4 mr-2 animate-bounce" />
          <div className="aht-ticker-container overflow-hidden">
            <p className="aht-ticker-text whitespace-nowrap animate-ticker">
              {notices[currentNoticeIndex]}
            </p>
          </div>
          <button
            onClick={() => setIsVisible(false)}
            className="aht-close-btn ml-4 p-1 rounded-full hover:bg-white/20 transition-colors duration-200 focus:outline-none focus:ring-2 focus:ring-white/50"
            aria-label="Close notification"
          >
            <X className="w-4 h-4" />
          </button>
        </div>
      </div>
    </div>
  )
}